%define	major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Summary:	An open-source audio processing library
Name:		soundtouch
Version:	1.7.0
Release:	%mkrel 3
Group:		System/Libraries
License:	LGPLv2+
URL:		http://www.surina.net/soundtouch/
Source0:	http://www.surina.net/soundtouch/%{name}-%{version}.tar.gz
# patch from fedora origin, rediffed - 07 Sep 2012
Patch0:		soundtouch-1.7.0-x86_64-asm-broken.patch
Patch1:		soundtouch-1.7.0-automake-1.13.patch
BuildRequires:	dos2unix
Conflicts:	SoundTouch

%description
SoundTouch is an open-source audio processing library. It allows changing the
sound tempo, pitch and playback rate parameters independently from each other.

%package -n	%{libname}
Summary:	An open-source audio processing library
Group:          System/Libraries
Conflicts:	%{mklibname SoundTouch 0}

%description -n	%{libname}
SoundTouch is an open-source audio processing library. It allows changing the
sound tempo, pitch and playback rate parameters independently from each other.

This package contains the shared libraries for SoundTouch.

%package -n	%{develname}
Summary:	Development package with static libs and headers
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Conflicts:	%{mklibname SoundTouch 0 -d}

%description -n	%{develname}
Static libraries and header files required for compiling SoundTouch plugins.

%prep

%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

# fix permissions
chmod 644 COPYING.TXT README.html

# strip away annoying ^M
find -type f | grep -v ".gif" | grep -v ".png" | grep -v ".jpg" | xargs dos2unix

%build

sh ./bootstrap

%configure2_5x \
    --enable-shared

%make

%install
rm -rf %{buildroot}

%makeinstall

# cleanup
rm -rf %{buildroot}/usr/doc

%clean
rm -rf %{buildroot}

%files
%doc COPYING.TXT README.html
%{_bindir}/soundstretch

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%dir %{_includedir}/soundtouch
%{_includedir}/soundtouch/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/soundtouch*.pc
%{_datadir}/aclocal/*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.7.0-3.mga3
+ Revision: 382383
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 luigiwalser <luigiwalser> 1.7.0-2.mga3
+ Revision: 340772
- fix for automake 1.13

* Sat Sep 08 2012 luigiwalser <luigiwalser> 1.7.0-1.mga3
+ Revision: 289849
- fix dos2unix usage
- 1.7.0

* Mon Oct 03 2011 fwang <fwang> 1.6.0-1.mga2
+ Revision: 151137
- new version 1.6.0

* Fri Sep 09 2011 tv <tv> 1.5.0-1.mga2
+ Revision: 141815
- new release

* Sun Feb 06 2011 ahmad <ahmad> 1.4.0-4.mga1
+ Revision: 47652
- drop old/unneeded scriptlets
- imported package soundtouch

